## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with tests

%global sysname gsecrets
%global oldname gnome-passwordsafe

Name:           secrets
Version:        7.3
Release:        %autorelease
Summary:        Manage your passwords

License:        GPLv3
URL:            https://gitlab.gnome.org/World/secrets
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59
BuildRequires:  python3-devel >= 3.8

BuildRequires:  python3dist(pykeepass) >= 4.0.3
BuildRequires:  python3dist(pyotp) >= 2.4.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(validators)
BuildRequires:  python3dist(zxcvbn)

BuildRequires:  pkgconfig(gio-2.0) >= 2.66
BuildRequires:  pkgconfig(glib-2.0) >= 2.73.1
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.66
BuildRequires:  pkgconfig(gtk4) >= 4.9
BuildRequires:  pkgconfig(libadwaita-1) >= 1.1.99

%if %{with tests}
BuildRequires:  python3-gobject
BuildRequires:  python3dist(pytest)
%endif

Requires:       hicolor-icon-theme
Requires:       libadwaita >= 1.1.99
Requires:       python3-gobject
Requires:       python3-pykeepass >= 4.0.3
Requires:       python3-pyotp >= 2.4.0
Requires:       python3-validators
Requires:       python3-zxcvbn

Provides:       %{oldname} = %{version}-%{release}
Obsoletes:      %{oldname} <= 5.1-6

%description
Secrets is a password manager which integrates perfectly with the GNOME
desktop and provides an easy and uncluttered interface for the management of
password databases.

Features:
  * Create or import KeePass safes
  * Assign a color and additional attributes to entries
  * Add attachments to your encrypted database
  * Generate cryptographically strong passwords
  * Change the password or keyfile of your database
  * Quickly search your favorite entries
  * Automatic database lock during inactivity
  * Adaptive interface
  * Support for two-factor authentication


%prep
%autosetup


%build
%meson \
  %if %{with tests}
  -Dtests=true \
  %endif
  %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%if %{with tests}
%meson_test
%endif


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/mime/packages/*.xml
%{_metainfodir}/*.xml
%{python3_sitelib}/%{sysname}/


%changelog
* Tue Apr 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 7.3-2
- Revert "Exclude s390x arch"

* Tue Apr 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 7.3-1
- build: Update to 7.3

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-1
- chore: Update to 7.2

* Thu Jan 05 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 7.1-1
- chore: Update to 7.1

* Sat Oct 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 7.0-2
- build: Drop python3-pwquality dep

* Fri Oct 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 7.0-1
- build(update): 7.0

* Mon Aug 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.5-3
- Exclude s390x arch

* Sun May 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.5-1
- build(update): 6.5

* Wed Mar 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.3-1
- build(update): 6.3

* Tue Mar 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.2-2
- build: Drop python3-crypto dep | rh#2061745
- build: Add runtime dep 'python3-pyotp >= 2.4.0'

* Mon Feb 28 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.2-1
- build(update): 6.2

* Thu Jan 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.0-0.1.beta.2
- build(update): 6.0.beta.2

* Mon Dec 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 5.1-1
- Initial package

